<!DOCTYPE html>
<html>    
 <body>
 <?php
 $a=1; $b=2;
 echo 'Somme('.$a.','.$b.')='.somme($a,$b)."<br/>" ;
 $a=10; $b=20;
 echo 'Somme('.$a.','.$b.')='.somme($a,$b)."<br/>" ;
 function somme($a,$b) 
 {static $compteur=1;
  echo "Appel : ".$compteur."\n";
  $result=$a+$b; 
  $compteur++;
  return $result;
 }
 ?>
 </body>
</html>
